Subject: bug#11818: 24.1.50; The useful function `set-temporary-overlay-map' is not documented

From: Damien Cassou <[email-masked]>
Date: Fri, 29 Jun 2012 19:20:08 +0200

Hi,

the function `set-temporary-overlay-map' seems to be useful for elisp
developers but is not documented. I propose the following documentation:

"Set a new keymap that will only exist for a short period of time.

The new keymap to use must be given in the MAP variable. When to remove
the keymap depends on user input and KEEP-PRED:

- if KEEP-PRED is nil (the default), the keymap disappears as soon as
  any key is pressed, whether or not the key is in MAP;

- if KEEP-PRED is t, the keymap disappears as soon as a key *not* in MAP
  is pressed;

- otherwise, KEEP-PRED must be a 0-arguments predicate that will decide
  if the keymap should be removed (if predicate returns nil) or kept
  (otherwise). The predicate will be called after each key sequence."

In GNU Emacs 24.1.50.1 (i686-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2012-06-28 on iridium, modified by Debian